org.apache.commons.net.ftp.parser

## Class NTFTPEntryParser

- java.lang.Object
- - org.apache.commons.net.ftp.FTPFileEntryParserImpl
  - - org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl
    - - org.apache.commons.net.ftp.parser.ConfigurableFTPFileEntryParserImpl
      - - org.apache.commons.net.ftp.parser.NTFTPEntryParser

- All Implemented Interfaces:
    Configurable, FTPFileEntryParser

      public class NTFTPEntryParser
      extends ConfigurableFTPFileEntryParserImpl

  Implements `FTPFileEntryParser` and `Configurable` for NT Systems.
  See Also:
    `Usage instructions.`

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl

      `_matcher_`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NTFTPEntryParser()` The sole constructor for an NTFTPEntryParser object.
    `NTFTPEntryParser(FTPClientConfig config)` This constructor allows the creation of an NTFTPEntryParser object with something other than the default configuration.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FTPClientConfig` | `getDefaultConfiguration()` Gets a new default configuration to be used when this class is instantiated without a `FTPClientConfig` parameter being specified.
    `FTPFile` | `parseFTPEntry(String entry)` Parses a line of an NT FTP server file listing and converts it into a usable format in the form of an `FTPFile` instance.

    - ### Methods inherited from class org.apache.commons.net.ftp.parser.ConfigurableFTPFileEntryParserImpl

      `configure, parseTimestamp`

    - ### Methods inherited from class org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl

      `getGroupCnt, getGroupsAsString, group, matches, setRegex, setRegex`

    - ### Methods inherited from class org.apache.commons.net.ftp.FTPFileEntryParserImpl

      `preParse, readNextEntry`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NTFTPEntryParser

          public NTFTPEntryParser()

      The sole constructor for an NTFTPEntryParser object.
      Throws:
        `IllegalArgumentException` - Thrown if the regular expression is unparseable. Should not be seen under normal conditions. If it is seen, this is a sign that `REGEX` is not a valid regular expression.

    - #### NTFTPEntryParser

          public NTFTPEntryParser(FTPClientConfig config)

      This constructor allows the creation of an NTFTPEntryParser object with something other than the default configuration.
      Parameters:
        `config` - The `configuration` object used to configure this parser.
      Throws:
        `IllegalArgumentException` - Thrown if the regular expression is unparseable. Should not be seen under normal conditions. If it is seen, this is a sign that `REGEX` is not a valid regular expression.

  - ### Method Detail

    - #### getDefaultConfiguration

          public FTPClientConfig getDefaultConfiguration()

      Gets a new default configuration to be used when this class is instantiated without a `FTPClientConfig` parameter being specified.
      Specified by:
        `getDefaultConfiguration` in class `ConfigurableFTPFileEntryParserImpl`
      Returns:
        the default configuration for this parser.

    - #### parseFTPEntry

          public FTPFile parseFTPEntry(String entry)

      Parses a line of an NT FTP server file listing and converts it into a usable format in the form of an `FTPFile` instance. If the file listing line doesn't describe a file, `null` is returned, otherwise a `FTPFile` instance representing the files in the directory is returned.
      Parameters:
        `entry` - A line of text from the file listing
      Returns:
        An FTPFile instance corresponding to the supplied entry